<?php

namespace PublicBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Response;

class PublicController extends Controller
{
    public function imagenbusinessAction($id)
    {
        $em = $this->getDoctrine()->getManager();
        $business = $em->getRepository('PagoBundle:business')->find($id);
        if ($business != NULL && $business->getPathimagenemail() != NULL){
            $ruta= $business->getRuta() . $business->getPathimagenemail();
            if (file_exists($ruta)){
                $headers = array('Content-Type' => "image/png",
                    'Content-Disposition' => 'inline; '
                    . 'filename="'.$ruta.'"');

                $file =  readfile($ruta);
                return new Response($file, 200, $headers); 
            }
        }
        $response = new Response(json_encode(array()));
        return $response;
    }
    
    public function errorAction(){
        return $this->redirectToRoute("login");
    }
}
