<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace StyleBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;

class styleType extends AbstractType
{

    public function buildForm(FormBuilderInterface $builder, array $options)
    {  
        $builder
            ->add('nombre', TextType::class, array(
                'label' => 'Nombre del estilo',
                "required" => true,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('nombrelogo', TextType::class, array(
                'label' => 'Nombre del logo',
                "required" => true,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))    
            ->add('classimagen', TextType::class, array(
                'label' => 'Clase imagen',
                "required" => true,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('equilanciaedewis', ChoiceType::class, array(
                    'choices' => array(
                        'Orange' => 1,
                        'Edewis' => 2, 
                        'Lanza tu página' => 3, 
                        'Haz tu ecommerce' => 4, 
                        'Eoctop' => 5, 
                        'Zurich' => 6, 
                        ),
                    'label' => 'Equivalencia Edewis',
                    'expanded' => false,
                    'required' => true,
                    "disabled" => $options["attr"]["disabled"],
                    "attr" => array("class" => "form-control required"),
                ));
    }
    
    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'StyleBundle\Entity\style',
            "allow_extra_fields" => true
        ));
    }
    public function getName()
    {
        return 'style';
    }
}

