<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace UsuarioBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\RepeatedType;
use Symfony\Component\Form\Extension\Core\Type\PasswordType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Doctrine\ORM\EntityRepository;
use Symfony\Component\Form\Extension\Core\Type\EmailType;

class usuariodatosfiscalesType extends AbstractType
{

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder->add('cifnif', TextType::class, array(
            'label' => 'CIF / NIF',
            "required" => true,
            "attr" => array("class" => "form-control required","placeholder"=>"CIF/NIF"),
            "disabled" => $options["attr"]["disabled"]
        ))
        ->add('nombrefiscal', TextType::class, array(
            'label' => 'Nombre fiscal',
            "required" => true,
            "attr" => array("class" => "form-control required","placeholder"=>"Nombre"),
            "disabled" => $options["attr"]["disabled"]
        ))
        ->add('direccionfiscal', TextType::class, array(
            'label' => 'Dirección',
            "required" => true,
            "attr" => array("class" => "form-control required","placeholder"=>"Dirección"),
            "disabled" => $options["attr"]["disabled"]
        ))
        ->add('cpfiscal', TextType::class, array(
            'label' => 'Código postal',
            "required" => true,
            "attr" => array("class" => "form-control required","placeholder"=>"Código postal"),
            "disabled" => $options["attr"]["disabled"]
        ))
        ->add('poblacionfiscal', TextType::class, array(
            'label' => 'Población',
            "required" => true,
            "attr" => array("class" => "form-control required","placeholder"=>"Población"),
            "disabled" => $options["attr"]["disabled"]
        ));   
    }
    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UsuarioBundle\Entity\Usuario',
            "allow_extra_fields" => true
        ));
    }
    public function getName()
    {
        return 'usuario';
    }
}

