<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace UsuarioBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\RepeatedType;
use Symfony\Component\Form\Extension\Core\Type\PasswordType;
use Symfony\Component\Form\Extension\Core\Type\CheckboxType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Doctrine\ORM\EntityRepository;
use Symfony\Component\Form\Extension\Core\Type\EmailType;

class usuarioperfilType extends AbstractType
{

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder->add('nombre', TextType::class, array(
            'label' => 'Nombre',
            "required" => true,
            "attr" => array("class" => "form-control required","placeholder"=>"Introduce tu nombre"),
            "disabled" => $options["attr"]["disabled"]
        ))
        ->add('apellidos', TextType::class, array(
            'label' => 'Apellidos',
            "required" => true,
            "attr" => array("class" => "form-control required","placeholder"=>"Introduce tus apellidos"),
            "disabled" => $options["attr"]["disabled"]
        ))

        ->add('telefono', TextType::class, array(
            'label' => 'Teléfono',
            "required" => true,
            "attr" => array("class" => "form-control required","placeholder"=>"Introduce tu teléfono"),
            "disabled" => $options["attr"]["disabled"]
        ))

        ->add('email', EmailType::class, array(
            'label' => 'Email',
            "required" => true,
            "attr" => array("class" => "form-control required","placeholder"=>"Introduce tu email"),
            "disabled" => $options["attr"]["disabled"]
        ));
        if ($options["attr"]["password"] == true){
            $builder->add('password', RepeatedType::class, array(
                'type' => PasswordType::class,
                'invalid_message' => 'Introduzca la contraseña',
                'options' => array('attr' => array('class' => 'password-field')),
                'required' => true,
                'first_options'  => array('label' => 'Nueva Contraseña', "attr" => array("class" => "form-control required"  ,"placeholder"=>"Introduzca tu contraseña")),
                'second_options' => array('label' => 'Repita contraseña', "attr" => array("class" => "form-control required"  ,"placeholder"=>"Repite contraseña")),
            ));
        }else{
            $builder->add('password', RepeatedType::class, array(
                'type' => PasswordType::class,
                'invalid_message' => 'Introduzca la contraseña',
                'options' => array('attr' => array('class' => 'password-field')),
                'required' => false,
                'first_options'  => array('label' => 'Nueva Contraseña', "attr" => array("class" => "form-control required","placeholder"=>"Introduzca tu contraseña")),
                'second_options' => array('label' => 'Repita contraseña', "attr" => array("class" => "form-control required","placeholder"=>"Repite contraseña")),
            ));
        }    
    }
    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'UsuarioBundle\Entity\Usuario',
            "allow_extra_fields" => true
        ));
    }
    public function getName()
    {
        return 'usuario';
    }
}

