<?php

namespace WebBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;

class PoliticaprivacidadController extends Controller
{
    public function zurichAction(Request $request){
        $em = $this->getDoctrine()->getManager();
        $host = $request->getHost();
        
        $business = $em->getRepository("PagoBundle:business")->findNegocio($host); 
        if ($business){
            $style = $business->getStyle();
            if($style){
                if($this->get('security.authorization_checker')->isGranted('ROLE_SUPER_ADMIN') === true
                    || $this->get('security.authorization_checker')->isGranted('ROLE_USER') === true ){
                    return $this->render('WebBundle:Politicaprivacidad:zurichprivate.html.twig', 
                        array('style'=>$style, "business" => $business));
                }else{
                    return $this->render('WebBundle:Politicaprivacidad:zurichpublic.html.twig', 
                        array('style'=>$style, "business" => $business));
                }
            }
        }
        die();
    }
}
