<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CoreBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\NumberType;

class subcategoryType extends AbstractType
{

    public function buildForm(FormBuilderInterface $builder, array $options)
    {  
          
            $builder
                ->add('name', TextType::class, array(
                    'label' => 'Categoría',
                    "required" => true,
                    "attr" => array("class" => "form-control required"),
                    "disabled" => $options["attr"]["disabled"]
                ))
                ->add('slug', TextType::class, array(
                    'label' => 'Slug',
                    "required" => true,
                    "attr" => array("class" => "form-control required"),
                    "disabled" => $options["attr"]["disabled"]
                )) 
                ->add('sort', NumberType::class, array(
                    'label' => 'Orden',
                    "required" => true,
                    "attr" => array("class" => "form-control required"),
                    "disabled" => $options["attr"]["disabled"]
                ));
            
    }
    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'AdministracionBundle\Entity\subcategory',
            "allow_extra_fields" => true
        ));
    }
    public function getName()
    {
        return 'category';
    }
}

