<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace IncidenciaBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;

class incidenciaType extends AbstractType
{

    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('brevedescripcion', TextType::class, array(
                'label' => 'Breve descripción',
                "disabled" => $options["attr"]["disabled"],
                "attr" => array("class" => "form-control required", "placeholder" => "Escriba aquí")
            ))
            ->add('descripcion', TextareaType::class, array(
                'label' => 'Descripción',
                "disabled" => $options["attr"]["disabled"],
                "attr" => array("class" => "form-control required", "placeholder" => "Escriba aquí")
            ))
            ->add('respuestaadministracion', TextareaType::class, array(
                'label' => 'Respuesta',
                "disabled" => $options["attr"]["disabled"],
                "attr" => array("class" => "form-control required", "placeholder" => "Escriba aquí")
            ))
            ->add('resuelta', ChoiceType::class, array(
                'choices' => array(
                    'SI' => 1,
                    'NO' => 0
                    ),
                'label' => '¿Resuelta?',
                'expanded' => false,
                'required' => true,
                "disabled" => $options["attr"]["disabled"],
                "attr" => array("class" => "form-control required"),
            ))
            ->add('tipo', ChoiceType::class, array(
                'choices' => array(
                    'Dominios' => 1,
                    'Alojamiento' => 2,
                    'Facturación' => 3
                    ),
                'label' => 'Tipo de soporte',
                'expanded' => false,
                'required' => true,
                "disabled" => $options["attr"]["disabled"],
                "attr" => array("class" => "form-control required"),
            ));
    }
    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'IncidenciaBundle\Entity\incidencia',
            "allow_extra_fields" => true
        ));
    }
    public function getName()
    {
        return 'incidencia';
    }
}

