<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace PagoBundle\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolverInterface;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\IntegerType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Doctrine\ORM\EntityRepository;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\PasswordType;
use Symfony\Component\Form\Extension\Core\Type\NumberType;

class businessType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {  
        $builder
            ->add('nif', TextType::class, array(
                'label' => 'NIF',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('mensajeregistro', TextType::class, array(
                'label' => 'Mensaje para el email de registro',
                "required" => true,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('urlcrearapp', TextType::class, array(
                'label' => 'URL para crear app',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            )) 
            ->add('urlloginapp', TextType::class, array(
                'label' => 'URL para login en app',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            )) 
            ->add('urlcrearweb', TextType::class, array(
                'label' => 'URL para crear web',
                "required" => true,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            )) 
            ->add('urlapiweb', TextType::class, array(
                'label' => 'URL API web',
                "required" => true,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            )) 
            ->add('urlsubdominios', TextType::class, array(
                'label' => 'URL para los subdominios',
                "required" => true,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            )) 
            ->add('urlcentroayuda', TextType::class, array(
                'label' => 'URL del centro de ayuda',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            )) 
            ->add('mensajeregistro', TextType::class, array(
                'label' => 'Mensaje para el email de registro',
                "required" => true,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))   
            ->add('email', TextType::class, array(
                'label' => 'Email',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))  
            ->add('password', TextType::class, array(
                'label' => 'Password',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))  
            ->add('smtphost', TextType::class, array(
                'label' => 'SMTP',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))  
            ->add('smtpport', TextType::class, array(
                'label' => 'Puerto',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))  
            ->add('smtpsecurity',ChoiceType::class, array(
                'choices' => array('' => 'Ninguna', 'tls' => 'TLS', 'ssl' => 'SSL'),
                'expanded' => false, 
                'multiple' => false, 
                'label' => 'Seguridad', 
                "attr" => array("class" => "form-control required"),
                'required' => false))
            ->add('nombre', TextType::class, array(
                'label' => 'Nombre',
                "required" => true,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))   
            ->add('urlregistro', TextType::class, array(
                'label' => 'URL de registro:',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))     
            ->add('usuariopaypal', TextType::class, array(
                'label' => 'Usuario de paypal',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('estadopaypal', ChoiceType::class, array(
                'choices' => array(
                    'Desarrollo' => 1,
                    'Producción' => 2, 

                    ),
                'label' => 'Estado Paypal',
                'expanded' => false,
                'required' => true,
                "disabled" => $options["attr"]["disabled"],
                "attr" => array("class" => "form-control required"),
            ))
            ->add('currency', ChoiceType::class, array(
                'choices' => array(
                    'EUR' => 'EUR',

                    ),
                'label' => 'Moneda',
                'expanded' => false,
                'required' => false,
                "disabled" => $options["attr"]["disabled"],
                "attr" => array("class" => "form-control required"),
            ))
            ->add('tpvproduction', ChoiceType::class, array(
                'choices' => array(
                    'En desarrollo' => 0,
                    'En producción' => 1

                    ),
                'label' => 'Estado TPV',
                'expanded' => false,
                'required' => true,
                "disabled" => $options["attr"]["disabled"],
                "attr" => array("class" => "form-control required"),
            ))
            ->add('fuc', TextType::class, array(
                'label' => 'FUC (merchantCode)',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))

            ->add('tpvkcproduction', TextType::class, array(
                'label' => 'KC',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))  
            ->add('style', EntityType::class, array(
                'class' => 'StyleBundle:style',
                'label' => 'Estilo',
                "required" => true,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"],
                'query_builder' => function (EntityRepository $er) {
                    return $er->createQueryBuilder('b')
                    ->orderBy('b.id', 'ASC');
                }    
             ))
            ->add('estadostripe', ChoiceType::class, array(
                'choices' => array(
                    'Desarrollo' => 1,
                    'Producción' => 2, 

                    ),
                'label' => 'Estado de Stripe',
                'expanded' => false,
                'required' => true,
                "disabled" => $options["attr"]["disabled"],
                "attr" => array("class" => "form-control required"),
            ))
            ->add('claveteststripe', TextType::class, array(
                'label' => 'Clave de test de stripe',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('claveproduccionstripe', TextType::class, array(
                'label' => 'Clave de producción de stripe',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('webhookstripe', TextType::class, array(
                'label' => 'Webhook de stripe',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('serverplan', TextType::class, array(
                'label' => 'Servidor cpanel',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('enlacepoliticaprivacidad', TextType::class, array(
                'label' => 'Enlace a la política de privacidad',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('tienetienda', ChoiceType::class, array(
                'choices' => array(
                    'NO' => 0,
                    'SI' => 1, 

                    ),
                'label' => 'Tiene tienda ON-LINE',
                'expanded' => false,
                'required' => true,
                "disabled" => $options["attr"]["disabled"],
                "attr" => array("class" => "form-control required"),
            ))
            ->add('mensajestep1', TextType::class, array(
                'label' => 'Mensaje paso 1',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('inicializaciongoogle', TextareaType::class, array(
                'label' => 'Inicialización google',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('conversiongoogle', TextareaType::class, array(
                'label' => 'Código de conversión de google',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('cabeceralogin', TextareaType::class, array(
                'label' => 'Cabecera login',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('condicionesemail', TextareaType::class, array(
                'label' => 'Condiciones de los email',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('fontstyle', TextareaType::class, array(
                'label' => 'Estilo de fuente',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('favicon', TextareaType::class, array(
                'label' => 'Favicon',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('namefont', TextType::class, array(
                'label' => 'Nombre de la fuente',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('folderemail', TextType::class, array(
                'label' => 'Carpeta de email',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('asuntobienvenida', TextType::class, array(
                'label' => 'Bienvenida',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('asuntoguia', TextType::class, array(
                'label' => 'Guía de uso',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('asuntorecordatorio5', TextType::class, array(
                'label' => 'Recordatorio 5 días',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('asuntorecordatorio10', TextType::class, array(
                'label' => 'Recordatorio 10 días',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('asuntorecordatorio15', TextType::class, array(
                'label' => 'Recordatorio 15 días',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('asuntopassword', TextType::class, array(
                'label' => 'Recordatorio de contraseña',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('asuntocompra', TextType::class, array(
                'label' => 'Sin compra',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('asuntofinalizada', TextType::class, array(
                'label' => 'Periodo de prueba finalizado',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('mesestest', NumberType::class, array(
                'label' => 'Meses del periodo de prueba',
                "required" => false,
                "attr" => array("class" => "form-control required"),
                "disabled" => $options["attr"]["disabled"]
            ))
            ->add('reservadominiosinpago', ChoiceType::class, array(
                'choices' => array(
                    'NO' => 0,
                    'SI' => 1, 

                    ),
                'label' => 'Pueden reservar dominios sin pagar',
                'expanded' => false,
                'required' => true,
                "disabled" => $options["attr"]["disabled"],
                "attr" => array("class" => "form-control required"),
            ));
    }
    public function setDefaultOptions(OptionsResolverInterface $resolver)
    {
        $resolver->setDefaults(array(
            'data_class' => 'PagoBundle\Entity\business',
            "allow_extra_fields" => true
        ));
    }
    public function getName()
    {
        return 'business';
    }
}

