<?php

namespace RegistroBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

class AjaxController extends Controller
{
    public function searchemailAction(Request $request){
        $em = $this->getDoctrine()->getManager();
        $error = "No recibo por POST";
        $errorcode = 0;
        if ($request->getMethod() == "POST"){
            $email = $request->request->get('email');
            $usuario = $em->getRepository('UsuarioBundle:usuario')->findOneBy(array('email'=>$email));
            $errorcode = 2;
            $error = "Email no registrado en el sistema";
            if($usuario){
                $errorcode = 1;
                $error = "Email registrado en el sistema";
            }
            
        }
        return new Response(json_encode(array("error" => $error, 'errorcode'=>$errorcode)));
    }
    
    public function subcategoriasAction(Request $request){
        $html = "";
        $em = $this->getDoctrine()->getManager();
        if ($request->getMethod() == "POST"){
            $idcategory = intval($request->request->get("category"));
            $subcategories = $em->getRepository("CoreBundle:subcategory")->findBy(array("category" => $idcategory), array("name" => "ASC"));
            $html = $this->renderView("CoreBundle:Template:selectcategories.html.twig", 
                    array("subcategories" => $subcategories));
        }
        return new Response(json_encode(array("html" => $html)));
    }
}
