<?php

namespace StyleBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * style
 *
 * @ORM\Table()
 * @ORM\Entity(repositoryClass="StyleBundle\Repository\styleRepository")
 */
class style
{
    /**
     * @var integer
     *
     * @ORM\Column(name="id", type="integer")
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $id;

    /**
     * @var string
     *
     * @ORM\Column(name="nombre", type="string", length=255, nullable=true)
     */
    private $nombre;

    /**
     * @var string
     *
     * @ORM\Column(name="nombrelogo", type="string", length=255, nullable=true)
     */
    private $nombrelogo;

    /**
     * @var string
     *
     * @ORM\Column(name="pathlogin", type="string", length=255, nullable=true)
     */
    private $pathlogin;
    /**
     * @var string
     *
     * @ORM\Column(name="pathimagen", type="string", length=255, nullable=true)
     */
    private $pathimagen;

    /**
     * @var string
     * 1 --> 50 %
     * 2 --> 100%
     * @ORM\Column(name="classimagen", type="string", length=255, nullable=true)
     */
    private $classimagen;

    /**
     * @var string
     *
     * @ORM\Column(name="fondomenu", type="string", length=255, nullable=true)
     */
    private $fondomenu;
    
    /**
     * @var string
     *
     * @ORM\Column(name="colortopmenu", type="string", length=255, nullable=true)
     */
    private $colortopmenu;
    
    /**
     * @var string
     *
     * @ORM\Column(name="colorlateralmenu", type="string", length=255, nullable=true)
     */
    private $colorlateralmenu;

    /**
     * @var string
     *
     * @ORM\Column(name="colorletramenu", type="string", length=255, nullable=true)
     */
    private $colorletramenu;
    
    /**
     * @var string
     *
     * @ORM\Column(name="colorletramenulateral", type="string", length=255, nullable=true)
     */
    private $colorletramenulateral;

    /**
     * @var string
     *
     * @ORM\Column(name="colorseparadoresmenu", type="string", length=255, nullable=true)
     */
    private $colorseparadoresmenu;

    /**
     * @var string
     *
     * @ORM\Column(name="colorcabeceramodal", type="string", length=255, nullable=true)
     */
    private $colorcabeceramodal;

    /**
     * @var string
     *
     * @ORM\Column(name="colortabfondo", type="string", length=255, nullable=true)
     */
    private $colortabfondo;

    /**
     * @var string
     *
     * @ORM\Column(name="colorbotonfondo", type="string", length=255, nullable=true)
     */
    private $colorbotonfondo;

    /**
     * @var string
     *
     * @ORM\Column(name="colorbotonletra", type="string", length=255, nullable=true)
     */
    private $colorbotonletra;
    
    /**
     * @var string
     *
     * @ORM\Column(name="colorfondoadministracion", type="string", length=255, nullable=true)
     */
    private $colorfondoadministracion;
    
     /**
     * @var string
     *
     * @ORM\Column(name="colorfondopublic", type="string", length=255, nullable=true)
     */
    private $colorfondopublic;
    
     /**
     * @var string
     *
     * @ORM\Column(name="colorbotonpublic", type="string", length=255, nullable=true)
     */
    private $colorbotonpublic;
    
    /**
     * @var string
     *
     * @ORM\Column(name="colorletraspublic", type="string", length=255, nullable=true)
     */
    private $colorletraspublic;
    
    /**
     * @var string
     *
     * @ORM\Column(name="colorcabeceramodalpublic", type="string", length=255, nullable=true)
     */
    private $colorcabeceramodalpublic;
    
    /**
     * @var string
     *
     * @ORM\Column(name="colorbotonpreviaedita", type="string", length=255, nullable=true)
     */
    private $colorbotonpreviaedita;
    
    /**
     * @var string
     *
     * @ORM\Column(name="colorbotonpublicacontinua", type="string", length=255, nullable=true)
     */
    private $colorbotonpublicacontinua;
    
    /**
     * @var string
     *
     * @ORM\Column(name="colorbotonarchivopublic", type="string", length=255, nullable=true)
     */
    private $colorbotonarchivopublic;
    
    /**
     * @var string
     *
     * @ORM\Column(name="colortextoavisopublic", type="string", length=255, nullable=true)
     */
    private $colortextoavisopublic;
    
    /**
     * @var string
     *
     * @ORM\Column(name="colorinputpublic", type="string", length=255, nullable=true)
     */
    private $colorinputpublic;
    
    /**
     * @var string
     *
     * @ORM\Column(name="colorfondoinputpublic", type="string", length=255, nullable=true)
     */
    private $colorfondoinputpublic;
    
    /**
     * @var boolean
     *
     * @ORM\Column(name="eliminado", type="boolean")
     */
    private $eliminado;
    
    /**
     * @var boolean
     * 1 --> Orange
     * 2 --> Edewis 
     * 3 --> Lanzatuweb
     * 4 --> Haztuecoomerce
     * 5 --> Eoctop
     *
     * @ORM\Column(name="equilanciaedewis", type="integer")
     */
    private $equilanciaedewis;
    
    public function getTextoequivalencia(){
        $texto = "";
        switch ($this->getEquilanciaedewis()){
            case 1:
                $texto = "Orange";
                break;
            case 2:
                $texto = "Edewis";
                break;
            case 3:
                $texto = "Lanzatuweb";
                break;
            case 4:
                $texto = "Haztuecoomerce";
                break;
            case 5:
                $texto = "Eoctop";
                break;
            case 6:
                $texto = "Zurich";
                break;
        }
        return $texto;
    }
    
    public function __toString() {
        return $this->getNombre();
    }
    
    public function __construct() {
        $this->eliminado = 0;
        $this->equilanciaedewis = 0;
    }
    
    public function getDir(){
        return "../data/style/" . $this->getId() . "/";
    }
    public function getDirlogin(){
        return "./imagenes/login/" . $this->getId() . "/";
    }
    public function getImagelogin(){
        return "/imagenes/login/" . $this->getId() . "/".$this->getPathlogin();
    }
    public function getDirlogo(){
        return "./imagenes/administracion/business/" . $this->getId() . "/";
    }
    public function getImagelogo(){
        return "/imagenes/administracion/business/" . $this->getId() . "/".$this->getPathimagen();
    }
    public function removeUpload(){
        if ($this->pathimagen){
            $file = $this->getDirlogo() . $this->getPathimagen();
            if (file_exists($file)){
                unlink($file);
            }
        }
    }
    
    public function removeUploadlogin(){
        if ($this->pathimagen){
            $file = $this->getDirlogin() . $this->getPathlogin();
            if (file_exists($file)){
                unlink($file);
            }
        }
    }
    
    /**
     * Get id
     *
     * @return integer
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * Set pathimagen
     *
     * @param string $pathimagen
     *
     * @return style
     */
    public function setPathimagen($pathimagen)
    {
        $this->pathimagen = $pathimagen;

        return $this;
    }

    /**
     * Get pathimagen
     *
     * @return string
     */
    public function getPathimagen()
    {
        return $this->pathimagen;
    }

    /**
     * Set nombre
     *
     * @param string $nombre
     *
     * @return style
     */
    public function setNombre($nombre)
    {
        $this->nombre = $nombre;

        return $this;
    }

    /**
     * Get nombre
     *
     * @return string
     */
    public function getNombre()
    {
        return $this->nombre;
    }

    /**
     * Set nombrelogo
     *
     * @param string $nombrelogo
     *
     * @return style
     */
    public function setNombrelogo($nombrelogo)
    {
        $this->nombrelogo = $nombrelogo;

        return $this;
    }

    /**
     * Get nombrelogo
     *
     * @return string
     */
    public function getNombrelogo()
    {
        return $this->nombrelogo;
    }

    /**
     * Set fondomenu
     *
     * @param string $fondomenu
     *
     * @return style
     */
    public function setFondomenu($fondomenu)
    {
        $this->fondomenu = $fondomenu;

        return $this;
    }

    /**
     * Get fondomenu
     *
     * @return string
     */
    public function getFondomenu()
    {
        return $this->fondomenu;
    }

    /**
     * Set colorletramenu
     *
     * @param string $colorletramenu
     *
     * @return style
     */
    public function setColorletramenu($colorletramenu)
    {
        $this->colorletramenu = $colorletramenu;

        return $this;
    }

    /**
     * Get colorletramenu
     *
     * @return string
     */
    public function getColorletramenu()
    {
        return $this->colorletramenu;
    }

    /**
     * Set colorseparadoresmenu
     *
     * @param string $colorseparadoresmenu
     *
     * @return style
     */
    public function setColorseparadoresmenu($colorseparadoresmenu)
    {
        $this->colorseparadoresmenu = $colorseparadoresmenu;

        return $this;
    }

    /**
     * Get colorseparadoresmenu
     *
     * @return string
     */
    public function getColorseparadoresmenu()
    {
        return $this->colorseparadoresmenu;
    }

    /**
     * Set colorcabeceramodal
     *
     * @param string $colorcabeceramodal
     *
     * @return style
     */
    public function setColorcabeceramodal($colorcabeceramodal)
    {
        $this->colorcabeceramodal = $colorcabeceramodal;

        return $this;
    }

    /**
     * Get colorcabeceramodal
     *
     * @return string
     */
    public function getColorcabeceramodal()
    {
        return $this->colorcabeceramodal;
    }

    /**
     * Set colortabfondo
     *
     * @param string $colortabfondo
     *
     * @return style
     */
    public function setColortabfondo($colortabfondo)
    {
        $this->colortabfondo = $colortabfondo;

        return $this;
    }

    /**
     * Get colortabfondo
     *
     * @return string
     */
    public function getColortabfondo()
    {
        return $this->colortabfondo;
    }

    /**
     * Set classimagen
     *
     * @param string $classimagen
     *
     * @return style
     */
    public function setClassimagen($classimagen)
    {
        $this->classimagen = $classimagen;

        return $this;
    }

    /**
     * Get classimagen
     *
     * @return string
     */
    public function getClassimagen()
    {
        return $this->classimagen;
    }

    /**
     * Set colorbotonfondo
     *
     * @param string $colorbotonfondo
     *
     * @return style
     */
    public function setColorbotonfondo($colorbotonfondo)
    {
        $this->colorbotonfondo = $colorbotonfondo;

        return $this;
    }

    /**
     * Get colorbotonfondo
     *
     * @return string
     */
    public function getColorbotonfondo()
    {
        return $this->colorbotonfondo;
    }

    /**
     * Set colorbotonletra
     *
     * @param string $colorbotonletra
     *
     * @return style
     */
    public function setColorbotonletra($colorbotonletra)
    {
        $this->colorbotonletra = $colorbotonletra;

        return $this;
    }

    /**
     * Get colorbotonletra
     *
     * @return string
     */
    public function getColorbotonletra()
    {
        return $this->colorbotonletra;
    }

    /**
     * Set eliminado
     *
     * @param boolean $eliminado
     *
     * @return style
     */
    public function setEliminado($eliminado)
    {
        $this->eliminado = $eliminado;

        return $this;
    }

    /**
     * Get eliminado
     *
     * @return boolean
     */
    public function getEliminado()
    {
        return $this->eliminado;
    }

    /**
     * Set colortopmenu
     *
     * @param string $colortopmenu
     *
     * @return style
     */
    public function setColortopmenu($colortopmenu)
    {
        $this->colortopmenu = $colortopmenu;

        return $this;
    }

    /**
     * Get colortopmenu
     *
     * @return string
     */
    public function getColortopmenu()
    {
        return $this->colortopmenu;
    }

    /**
     * Set colorfondoadministracion
     *
     * @param string $colorfondoadministracion
     *
     * @return style
     */
    public function setColorfondoadministracion($colorfondoadministracion)
    {
        $this->colorfondoadministracion = $colorfondoadministracion;

        return $this;
    }

    /**
     * Get colorfondoadministracion
     *
     * @return string
     */
    public function getColorfondoadministracion()
    {
        return $this->colorfondoadministracion;
    }

    /**
     * Set colorfondopublic
     *
     * @param string $colorfondopublic
     *
     * @return style
     */
    public function setColorfondopublic($colorfondopublic)
    {
        $this->colorfondopublic = $colorfondopublic;

        return $this;
    }

    /**
     * Get colorfondopublic
     *
     * @return string
     */
    public function getColorfondopublic()
    {
        return $this->colorfondopublic;
    }

    /**
     * Set colorbotonpublic
     *
     * @param string $colorbotonpublic
     *
     * @return style
     */
    public function setColorbotonpublic($colorbotonpublic)
    {
        $this->colorbotonpublic = $colorbotonpublic;

        return $this;
    }

    /**
     * Get colorbotonpublic
     *
     * @return string
     */
    public function getColorbotonpublic()
    {
        return $this->colorbotonpublic;
    }

    /**
     * Set colorletraspublic
     *
     * @param string $colorletraspublic
     *
     * @return style
     */
    public function setColorletraspublic($colorletraspublic)
    {
        $this->colorletraspublic = $colorletraspublic;

        return $this;
    }

    /**
     * Get colorletraspublic
     *
     * @return string
     */
    public function getColorletraspublic()
    {
        return $this->colorletraspublic;
    }

    /**
     * Set colorcabeceramodalpublic
     *
     * @param string $colorcabeceramodalpublic
     *
     * @return style
     */
    public function setColorcabeceramodalpublic($colorcabeceramodalpublic)
    {
        $this->colorcabeceramodalpublic = $colorcabeceramodalpublic;

        return $this;
    }

    /**
     * Get colorcabeceramodalpublic
     *
     * @return string
     */
    public function getColorcabeceramodalpublic()
    {
        return $this->colorcabeceramodalpublic;
    }

    /**
     * Set colorlateralmenu
     *
     * @param string $colorlateralmenu
     *
     * @return style
     */
    public function setColorlateralmenu($colorlateralmenu)
    {
        $this->colorlateralmenu = $colorlateralmenu;

        return $this;
    }

    /**
     * Get colorlateralmenu
     *
     * @return string
     */
    public function getColorlateralmenu()
    {
        return $this->colorlateralmenu;
    }

    /**
     * Set colorletramenulateral
     *
     * @param string $colorletramenulateral
     *
     * @return style
     */
    public function setColorletramenulateral($colorletramenulateral)
    {
        $this->colorletramenulateral = $colorletramenulateral;

        return $this;
    }

    /**
     * Get colorletramenulateral
     *
     * @return string
     */
    public function getColorletramenulateral()
    {
        return $this->colorletramenulateral;
    }

    /**
     * Set pathlogin
     *
     * @param string $pathlogin
     *
     * @return style
     */
    public function setPathlogin($pathlogin)
    {
        $this->pathlogin = $pathlogin;

        return $this;
    }

    /**
     * Get pathlogin
     *
     * @return string
     */
    public function getPathlogin()
    {
        return $this->pathlogin;
    }

    /**
     * Set colorbotonpreviaedita
     *
     * @param string $colorbotonpreviaedita
     *
     * @return style
     */
    public function setColorbotonpreviaedita($colorbotonpreviaedita)
    {
        $this->colorbotonpreviaedita = $colorbotonpreviaedita;

        return $this;
    }

    /**
     * Get colorbotonpreviaedita
     *
     * @return string
     */
    public function getColorbotonpreviaedita()
    {
        return $this->colorbotonpreviaedita;
    }

    /**
     * Set colorbotonpublicacontinua
     *
     * @param string $colorbotonpublicacontinua
     *
     * @return style
     */
    public function setColorbotonpublicacontinua($colorbotonpublicacontinua)
    {
        $this->colorbotonpublicacontinua = $colorbotonpublicacontinua;

        return $this;
    }

    /**
     * Get colorbotonpublicacontinua
     *
     * @return string
     */
    public function getColorbotonpublicacontinua()
    {
        return $this->colorbotonpublicacontinua;
    }

    /**
     * Set colorbotonarchivopublic
     *
     * @param string $colorbotonarchivopublic
     *
     * @return style
     */
    public function setColorbotonarchivopublic($colorbotonarchivopublic)
    {
        $this->colorbotonarchivopublic = $colorbotonarchivopublic;

        return $this;
    }

    /**
     * Get colorbotonarchivopublic
     *
     * @return string
     */
    public function getColorbotonarchivopublic()
    {
        return $this->colorbotonarchivopublic;
    }

    /**
     * Set colortextoavisopublic
     *
     * @param string $colortextoavisopublic
     *
     * @return style
     */
    public function setColortextoavisopublic($colortextoavisopublic)
    {
        $this->colortextoavisopublic = $colortextoavisopublic;

        return $this;
    }

    /**
     * Get colortextoavisopublic
     *
     * @return string
     */
    public function getColortextoavisopublic()
    {
        return $this->colortextoavisopublic;
    }

    /**
     * Set equilanciaedewis
     *
     * @param integer $equilanciaedewis
     *
     * @return style
     */
    public function setEquilanciaedewis($equilanciaedewis)
    {
        $this->equilanciaedewis = $equilanciaedewis;

        return $this;
    }

    /**
     * Get equilanciaedewis
     *
     * @return integer
     */
    public function getEquilanciaedewis()
    {
        return $this->equilanciaedewis;
    }

    /**
     * Set colorinputpublic
     *
     * @param string $colorinputpublic
     *
     * @return style
     */
    public function setColorinputpublic($colorinputpublic)
    {
        $this->colorinputpublic = $colorinputpublic;

        return $this;
    }

    /**
     * Get colorinputpublic
     *
     * @return string
     */
    public function getColorinputpublic()
    {
        return $this->colorinputpublic;
    }

    /**
     * Set colorfondoinputpublic
     *
     * @param string $colorfondoinputpublic
     *
     * @return style
     */
    public function setColorfondoinputpublic($colorfondoinputpublic)
    {
        $this->colorfondoinputpublic = $colorfondoinputpublic;

        return $this;
    }

    /**
     * Get colorfondoinputpublic
     *
     * @return string
     */
    public function getColorfondoinputpublic()
    {
        return $this->colorfondoinputpublic;
    }
}
